%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global packagename buffer-shims

Name:       nodejs-%{packagename}
Version:    1.0.0
Release:    1%{?dist}
Summary:    Some shims for node buffers
License:    MIT
URL:        https://github.com/calvinmetcalf/%{packagename}
Source0:    https://github.com/calvinmetcalf/%{packagename}/archive/v%{version}.tar.gz

BuildArch:  noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif

%description
Functions to make sure the new buffer methods work in older browsers.

%prep
%autosetup -n %{packagename}-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
tape test/*.js
%endif

%files
%doc readme.md
%license license.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri May 12 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- initial package
